> ## Documentation Index
> Fetch the complete documentation index at: https://docs.barrio7.org/llms.txt
> Use this file to discover all available pages before exploring further.

# Retrieve a list of all the users along with their roles and organizaciones



## OpenAPI

````yaml get /api/users
openapi: 3.0.0
info:
  title: Barrio7.org API
  description: An API for the La Senda application of barrio7.org
  contact:
    name: Abinadi Ayerdis
    email: abinadi.ayerdis@gmail.com
  version: '1.0'
servers: []
security: []
paths:
  /api/users:
    get:
      summary: >-
        Retrieve a list of all the users along with their roles and
        organizaciones
      operationId: c457726701591d1183b53aa71fc13441
      responses:
        '200':
          description: OK
      x-codeSamples:
        - lang: bash
          label: cURL Example
          source: |
            curl https://api.example.com/endpoint
        - lang: go
          label: Go Example
          source: |
            // Your Go code here
        - lang: java
          label: Java Example
          source: |
            // Your Java code here

````